<template>
  <div>
    <div class="inAsideBlock">
      <img v-on:click="this.$router.push({name:'CabinetPage'})" src="@/assets/imgs/logo.svg" alt="" class="logo">
      <router-link class="profileLink" to="#">Профиль <img src="@/assets/arrow-right.svg" class="icon-image" alt=""></router-link>
      <button class="burger-button forMobile" v-on:click="this.mobileClass = !this.mobileClass">Меню <img src="@/assets/person/chevron-up.svg" class="icon-image" :class="this.mobileClass?'menuOpened':''" alt=""></button>
      <ul class="menu" :class="this.mobileClass?'menuOpened':''">
        <li>
          <router-link :class="this.activeNav === '1'?'active-nav':''" :to="{name:'CabinetPage'}"><img src="@/assets/menu/menu1.svg" alt="">Главная</router-link>
        </li>
        <li>
          <router-link :class="this.activeNav === '2'?'active-nav':''" :to="{name:'PersonAllPage'}"><img src="@/assets/menu/menu2.svg" alt="">Персона</router-link>
        </li>
        <li>
          <router-link :class="this.activeNav === '3'?'active-nav':''" :to="{name:'AgreementsPage'}"><img src="@/assets/menu/menu3.svg" alt="">Договоры</router-link>
        </li>
        <li>
          <router-link :class="this.activeNav === '4'?'active-nav':''" to="#"><img src="@/assets/menu/menu4.svg" alt="">Операции</router-link>
        </li>
        <li>
          <router-link :class="this.activeNav === '5'?'active-nav':''" to="#"><img src="@/assets/menu/menu5.svg" alt="">Справочник</router-link>
        </li>
        <li>
          <router-link :class="this.activeNav === '6'?'active-nav':''" to="#"><img src="@/assets/menu/menu6.svg" alt="">Администрирование</router-link>
        </li>
      </ul>
    </div>
  </div>
</template>
<script>
export default {
  data:()=>({
    activeNav: '',
    mobileClass: false
  }),
  watch: {
    '$route'() {
      this.activeNav = this.$route.meta.activeNav;
    }
  },
  created() {
    this.activeNav = this.$route.meta.activeNav;
  },
}
</script>
